apiVersion: v1
kind: Service
metadata:
  name: product-service-py
  labels:
    app: product-service-py
spec:
  selector:
    app: product-service-py
  ports:
    - protocol: TCP
      port: 8081
      targetPort: 8081
  type: ClusterIP # Use ClusterIP for internal communication within the cluster
